sylius_admin:
    resource: "@SyliusAdminBundle/Resources/config/routing.yml"
    prefix: '/%sylius_admin.path_name%'
    
sylius_paypal_admin:
    resource: "@SyliusPayPalPlugin/Resources/config/admin_routing.yml"
    prefix: '/%sylius_admin.path_name%'

# APP Custom routes
app_admin_web_page:
    resource: |
        alias: app.web_page
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_web_page
        vars:
            all:
                subheader: app.ui.web_page
                templates:
                       form: "@App/admin/form/WebPage/views/_form.html.twig"
            index:
                icon: 'edit outline'
    type: sylius.resource
    prefix: /admin

app_admin_landing_page:
    resource: |
        alias: app.landing_page
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_landing_page
        vars:
            all:
                subheader: app.ui.landing_page
                templates:
                       form: "@App/admin/form/LandingPage/views/_form.html.twig"
            index:
                icon: 'edit outline'
    type: sylius.resource
    prefix: /admin

app_admin_component:
    resource: |
        alias: app.component
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_component
        vars:
            all:
                subheader: app.ui.component
            index:
                icon: 'microchip'
    type: sylius.resource
    prefix: /admin


app_admin_cms_component:
    resource: |
        alias: app.cms_component
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_cms_component
        vars:
            all:
                subheader: app.ui.cms_component
                templates:
                    form: "@App/admin/form/Component/views/_form.html.twig"
            index:
                icon: 'microchip'
    type: sylius.resource
    prefix: /admin

app_admin_cms_menu:
    resource: |
        alias: app.cms_menu
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_cms_menu
        vars:
            all:
                subheader: app.ui.cms_menu
                templates:
                       form: "@App/admin/form/CmsMenu/views/_form.html.twig"
            index:
                icon: 'list'
    type: sylius.resource
    prefix: /admin

# app_admin_cms_component_menu:
#     resource: |
#         alias: app.cms_component_menu
#         section: admin
#         templates: "@SyliusAdmin\\Crud"
#         redirect: update
#         grid: app_admin_cms_component_menu
#         vars:
#             all:
#                 subheader: app.ui.cms_component_menu
#                 templates:
#                     form: "@App/admin/form/Component/views/_form.html.twig"
#             index:
#                 icon: 'list'
#     type: sylius.resource
#     prefix: /admin

app_admin_article:
    resource: |
        alias: app.article
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_article
        vars:
            all:
                subheader: app.ui.article
                templates:
                    form: "@App/admin/form/Article/views/_form.html.twig"
            index:
                icon: 'newspaper outline'
    type: sylius.resource
    prefix: /admin   

app_admin_category:
    resource: |
        alias: app.category
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_category
        vars:
            all:
                subheader: app.ui.category
                templates:
                    form: "@App/admin/form/Category/views/_form.html.twig"
            index:
                icon: 'object ungroup outline'
    type: sylius.resource
    prefix: /admin   

app_admin_message_contact:
    resource: |
        alias: app.message_contact
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_message_contact
        vars:
            all:
                subheader: app.ui.message_contact
            index:
                icon: 'comment alternate outline'
    type: sylius.resource
    prefix: /admin   

app_admin_message_product:
    resource: |
        alias: app.message_product
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_message_product
        vars:
            all:
                subheader: app.ui.message_product
            index:
                icon: 'comment alternate outline'
    type: sylius.resource
    prefix: /admin   

app_admin_person:
    resource: |
        alias: app.person
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_person
        vars:
            all:
                subheader: app.ui.person
            index:
                icon: 'address card outline'
    type: sylius.resource
    prefix: /admin   

app_admin_media_image:
    resource: |
        alias: app.media_image
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_media_image
        vars:
            all:
                subheader: app.ui.media_image
            index:
                icon: 'images outline'
    type: sylius.resource
    prefix: /admin   

app_admin_media_video:
    resource: |
        alias: app.media_video
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_media_video
        vars:
            all:
                subheader: app.ui.media_video
            index:
                icon: 'play circle outline'
    type: sylius.resource
    prefix: /admin   

app_admin_media_document:
    resource: |
        alias: app.media_document
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_media_document
        vars:
            all:
                subheader: app.ui.media_document
            index:
                icon: 'file alternate outline'
    type: sylius.resource
    prefix: /admin   

app_admin_media_icon:
    resource: |
        alias: app.media_icon
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_media_icon
        vars:
            all:
                subheader: app.ui.media_icon
            index:
                icon: 'hand peace outline'
    type: sylius.resource
    prefix: /admin  

# app_admin_organizations:
#     resource: |
#         alias: app.organization
#         section: admin
#         templates: "@SyliusAdmin\\Crud"
#         redirect: update
#         grid: app_admin_organization
#         vars:
#             all:
#                 subheader: app.ui.organization
#                 templates:
#                     form: "@App/admin/form/Organization/views/_form.html.twig"
#             index:
#                 icon: 'building outline'
#     type: sylius.resource
#     prefix: /admin 

app_admin_organization:
    resource: |
        alias: app.organization
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_organization
        vars:
            all:
                subheader: app.ui.organization
            index:
                icon: 'building outline'
    type: sylius.resource
    prefix: /admin 

app_admin_hotel_service:
    resource: |
        alias: app.hotel_service
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_hotel_service
        vars:
            all:
                subheader: app.ui.hotel_service
                
            index:
                icon: 'hotel_service'
    type: sylius.resource
    prefix: /admin

app_admin_social_link:
    resource: |
        alias: app.social_link
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_social_link
        vars:
            all:
                subheader: app.ui.social_link
                templates:
                    form: "@App/admin/form/SocialLinks/views/_form.html.twig"
            index:
                icon: 'facebook square'
    type: sylius.resource
    prefix: /admin/

app_admin_travel:
    resource: |
        alias: app.travel
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_travel
        vars:
            all:
                header: app.ui.travels
                subheader: app.ui.travel
                templates:
                    form: "@App/admin/form/Trip/views/_form.html.twig"
            index:
                icon: 'travel'
    type: sylius.resource
    prefix: /admin/

app_admin_hotel_room:
    resource: |
        alias: app.hotel_room
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_hotel_room
        vars:
            all:
                header: app.ui.hotel_rooms
                subheader: app.ui.hotel_room
            index:
                icon: 'room'
    type: sylius.resource
    prefix: /admin/

app_admin_offer:
    resource: |
        alias: app.offer
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_offer
        vars:
            all:
                header: app.ui.offers
                subheader: app.ui.offer
            index:
                icon: 'offer'
    type: sylius.resource
    prefix: /admin/

app_admin_event:
    resource: |
        alias: app.event
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_event
        vars:
            all:
                header: app.ui.events
                subheader: app.ui.event
            index:
                icon: 'event'
    type: sylius.resource
    prefix: /admin/

app_admin_booking:
    resource: |
        alias: app.booking
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_booking
        vars:
            all:
                header: app.ui.bookings
                subheader: app.ui.booking
            index:
                icon: 'booking'
    type: sylius.resource
    prefix: /admin/

app_admin_amenity_feature:
    resource: |
        alias: app.amenity_feature
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_amenity_feature
        vars:
            all:
                header: app.ui.amenity_features
                subheader: app.ui.amenity_feature
            index:
                icon: 'amenity_feature'
    type: sylius.resource
    prefix: /admin/

app_admin_hotel_activity:
    resource: |
        alias: app.hotel_activity
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_hotel_activity
        vars:
            all:
                header: app.ui.hotel_activities
                subheader: app.ui.hotel_activity
            index:
                icon: 'hotel_activity'
    type: sylius.resource
    prefix: /admin
    
app_admin_hotel_typical_day:
    resource: |
        alias: app.hotel_typical_day
        section: admin
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_admin_hotel_typical_day
        vars:
            all:
                header: app.ui.hotel_typical_days
                subheader: app.ui.hotel_typical_day
            index:
                icon: 'hotel_typical_day'
    type: sylius.resource
    prefix: /admin

